#python
#test script to call out camera focal length in a requester.
#by Brad hayes
#04-14-11

focalL = lx.eval('item.channel camera$focalLen ?')
lens = (focalL * 1)
apHieght = lx.eval('item.channel camera$apertureY ?')
zoomF = (lens * 2) / apHieght
message = 'Zoom Factor: %s mm' % (zoomF)

lx.eval('dialog.setup info')
lx.eval('dialog.title [Focal Lenght]')
lx.eval('dialog.msg [%s]' % (message))
lx.eval('dialog.open')

lx.out()
lx.out('%s' % (message))
