#python

import lx

selectedLayers = lx.evalN('query sceneservice selection ? mesh')

for layerId in selectedLayers:
	
    lx.eval('select.subItem {%s} set mesh' % layerId)
    lx.eval('item.refSystem {%s}' % layerId)

    lx.eval('layer.setVisibility {%s}' % layerId)

    bbox = lx.evalN('query layerservice layer.bounds ? current')

    itemName = lx.evalN('item.name ? mesh')
    lx.eval('layer.new')  

    lx.eval('item.editorColor <ultramarine>')
	
    lx.eval('item.name {%s_bbox} mesh' % itemName)
    lx.eval('tool.set prim.cube on')

    lx.eval('tool.reset')
    lx.eval('tool.attr prim.cube minX {%f}' % bbox[0])
    lx.eval('tool.attr prim.cube minY {%f}' % bbox[1])
    lx.eval('tool.attr prim.cube minZ {%f}' % bbox[2])
    lx.eval('tool.attr prim.cube maxX {%f}' % bbox[3])
    lx.eval('tool.attr prim.cube maxY {%f}' % bbox[4])
    lx.eval('tool.attr prim.cube maxZ {%f}' % bbox[5])
    lx.eval('tool.doApply')
    lx.eval('tool.reset')

    lx.eval('tool.set prim.cube off 0')
    lx.eval('item.editorColor blue')
#    lx.eval('select.type item')

for layerId in selectedLayers:
    lx.eval('select.subItem {%s} add mesh' % layerId)

lx.eval('item.refSystem {}')